summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--PKGBUILD4
-rw-r--r--wayland-mouse-mapper-git.install13
2 files changed, 15 insertions, 2 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 7799f97daac..574f49b067e 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,5 +1,5 @@
# Maintainer: dszryan <9117127+dszryan@users.noreply.github.com>
-pkgver=0.1
+pkgver=0.2
pkgname=wayland-mouse-mapper-git
pkgrel=1
pkgdesc="Maps mouse buttons to keys in wayland, configured to swap workspaces under gnome"
@@ -10,7 +10,7 @@ makedepends=('git')
depends=('libinput>=1.14.1' 'evemu>=2.7.0')
source=("${pkgname}-${pkgver}::git+https://github.com/dszryan/$pkgname.git")
md5sums=('SKIP')
-install="INSTALL"
+install="${pkgname}.install"
package() {
diff --git a/wayland-mouse-mapper-git.install b/wayland-mouse-mapper-git.install
new file mode 100644
index 00000000000..28c3a500090
--- /dev/null
+++ b/wayland-mouse-mapper-git.install
@@ -0,0 +1,13 @@
+post_install() {
+ systemctl daemon-reload
+ systemctl enable -f --now mousemapper.service
+}
+
+pre_upgrade() {
+ systemctl disable -f --now mousemapper.service 2>/dev/null || true
+}
+
+pre_remove() {
+ systemctl daemon-reload
+ systemctl disable -f --now mousemapper.service 2>/dev/null || true
+}